Subject: bug#58440: 27.2; Exit Code on SIGINT is Zero, But shouldn't Be

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Oct 2022 10:12:03 +0200

Mattias Engdegård <[email-masked]> writes:

> Yes, it's the natural outcome in any normal GUI application that
> doesn't have Emacs's complicated relation to SIGINT.
>
> I certainly don't mind if you change Emacs in this respect. 

I think it'd make sense to change the exit code here -- it seems more
logical, and I think the potential for breakage is small.  (I mean,
there may be people that have scripts that rely on Emacs having a zero
exit code on SIGINT, but it seems rather unlikely.)

Anybody have any objections to making this change?